/*************************************************************************
* Demo sketch for MicroLCD library
* Distributed under GPL v2.0
* Copyright (c) 2013-2014 Stanley Huang <stanleyhuangyc@gmail.com>
* All rights reserved.
* For more information, please visit http://arduinodev.com
*************************************************************************/

#include <Arduino.h>
#include <Wire.h>
#include <MicroLCD.h>





LCD_SSD1306 lcd; /* for SSD1306 OLED module */

const PROGMEM uint8_t smile[48 * 48 / 8] =
{
	0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xC0,0xE0,0xF0,0xF8,0xF8,0xFC,0xFC,0xFE,0xFE,0x7E,0x7F,0x7F,0x3F,0x3F,0x3F,0x3F,0x3F,0x3F,0x3F,0x3F,0x3F,0x3F,0x7F,0x7F,0x7E,0xFE,0xFE,0xFC,0xFC,0xF8,0xF8,0xF0,0xE0,0xC0,0x80,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0xC0,0xF0,0xFC,0xFE,0xFF,0xFF,0xFF,0x3F,0x1F,0x0F,0x07,0x03,0x01,0x00,0x80,0x80,0x80,0x80,0x80,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x80,0x80,0x80,0x80,0x80,0x00,0x01,0x03,0x07,0x0F,0x1F,0x3F,0xFF,0xFF,0xFF,0xFE,0xFC,0xF0,0xC0,0x00,
	0xFE,0xFF,0xFF,0xFF,0xFF,0xFF,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x06,0x1F,0x1F,0x1F,0x3F,0x1F,0x1F,0x02,0x00,0x00,0x00,0x00,0x06,0x1F,0x1F,0x1F,0x3F,0x1F,0x1F,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,
	0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x30,0xF8,0xF8,0xF8,0xF8,0xE0,0xC0,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xC0,0xE0,0xF8,0xF8,0xFC,0xF8,0x30,0x00,0x00,0xE0,0xFF,0xFF,0xFF,0xFF,0xFF,0x7F,
	0x00,0x03,0x0F,0x3F,0x7F,0xFF,0xFF,0xFF,0xFC,0xF8,0xF0,0xE1,0xC7,0x87,0x0F,0x1F,0x3F,0x3F,0x3E,0x7E,0x7C,0x7C,0x7C,0x78,0x78,0x7C,0x7C,0x7C,0x7E,0x3E,0x3F,0x3F,0x1F,0x0F,0x87,0xC7,0xE1,0xF0,0xF8,0xFC,0xFF,0xFF,0xFF,0x7F,0x3F,0x0F,0x03,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x03,0x07,0x0F,0x1F,0x1F,0x3F,0x3F,0x7F,0x7F,0x7E,0xFE,0xFE,0xFC,0xFC,0xFC,0xFC,0xFC,0xFC,0xFC,0xFC,0xFC,0xFC,0xFE,0xFE,0x7E,0x7F,0x7F,0x3F,0x3F,0x1F,0x1F,0x0F,0x07,0x03,0x01,0x00,0x00,0x00,0x00,0x00,0x00,
};
const PROGMEM uint8_t tick[16 * 16 / 8] =
{
	0x00,0x80,0xC0,0xE0,0xC0,0x80,0x00,0x80
	,0xC0,0xE0,0xF0,0xF8,0xFC,0x78,0x30,0x00
	,0x00,0x01,0x03,0x07,0x0F,0x1F,0x1F,0x1F
	,0x0F,0x07,0x03,0x01,0x00,0x00,0x00,0x00
};
const PROGMEM uint8_t cross[16 * 16 / 8] =
{
	0x00,0x0C,0x1C,0x3C,0x78,0xF0,0xE0,0xC0
	,0xE0,0xF0,0x78,0x3C,0x1C,0x0C,0x00,0x00
	,0x00,0x30,0x38,0x3C,0x1E,0x0F,0x07,0x03
	,0x07,0x0F,0x1E,0x3C,0x38,0x30,0x00,0x00
};

//void printStr(String input)
const int valPin=A0;
long val;
int pixNum = 50;
//8;
int maxBright=70;
int Pixel[4]={0,0,0,0};
int pixPin = 10;
int aPins[3]={A3,A2,A1};
int aVal[3];

int previous = 0;


void setPixel()
{	for (int i=0; i < pixNum;i++)
	{
	writeEasyNeoPixel(i,Pixel[1],Pixel[2],Pixel[3]);
}
}
void getValues()
{
		Pixel[0]=i;
		Pixel[1]=;
		Pixel[2]=;
		Pixel[3]=;
		delay(del);
		setPixel();
}


void setup()
{
	lcd.begin();
	pinMode(valPin, INPUT);
}

void loop()
{
	val=analogRead(valPin);


	lcd.setFontSize(FONT_SIZE_MEDIUM);
	lcd.setCursor(20, 2);
	lcd.print("Value:");
	lcd.printLong(val);
	lcd.print("     ");


  // remember the previous value of the sensor
  previous = val*2;

	delay(100);




	/*
	lcd.clear();
	lcd.setCursor(0, 0);
	lcd.setFontSize(FONT_SIZE_SMALL);
	lcd.printLong(12345678);
	delay(1000);

	lcd.clear();
	lcd.setCursor(0, 0);
	lcd.setFontSize(FONT_SIZE_MEDIUM);
	lcd.printLong(12345678);
	delay(1000);

	lcd.clear();
	lcd.setCursor(0, 0);
	lcd.setFontSize(FONT_SIZE_LARGE);
	lcd.printLong(12345678);
	delay(1000);

	lcd.clear();
	lcd.setCursor(0, 0);
	lcd.setFontSize(FONT_SIZE_XLARGE);
	lcd.printLong(12345678);
	delay(1000);
	*/
}
